Subject: [bug#30340] [PATCH 0/6] Adopt NixOS patches for Qt5

From: Hartmut Goebel <[email-masked]>
Date: Sat, 3 Feb 2018 20:22:12 +0100

I reviewed the patches NixOS aplies to Qt 5.9 and 5.10. The changes of this
series hold the result. I stepped over these when trying to make KDE Plasma
work.

Most changes are about using store-paths to other packages and for dynamically
loaded libs.  To ease futuer work, I also added comments about patches we do
not need and why.

Hartmut Goebel (6):
  gnu: qtbase: Use the store paths for other packages and dynamically
    loaded libs.
  gnu: qtdeclarative: Add note about a patch NixOS has but we don't
    need.
  gnu: qtscript: Add note about a patch NixOS has but we don't need.
  gnu: qtserialport: Use the store paths for dynamically loaded libs.
  gnu: qttools: Add note about a patch NixOS has but we don't need.
  gnu: qtwebkit: Add note about a patch NixOS has but we don't need.

 gnu/packages/qt.scm | 62 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 61 insertions(+), 1 deletion(-)

-- 
2.13.6